# Manual do Usuário do &kde;

Stephan
Kulow

    coolo@kde.org

28/09/2007
KDE
kde4-config
1

# `kde4-config`

Imprime os locais de instalação do &kde;

    kde4-config --expandvars --prefix --exec-prefix --libsuffix --localprefix --version --types --path tipo --userpath tipo --install tipo

## Descrição

O kde4-config é um programa da linha de comando que é usado para obter informações sobre os locais de instalação do &kde; ou dos usuários.

Use este programa para determinar onde residem os vários aspectos da instalação do &kde; no seu sistema.

## Opções

`--expandvars`

  expande o ${prefix} e o ${exec_prefix} no resultado

`--prefix`

  O prefixo pré-compilado para as bibliotecas do &kde;

`--exec-prefix`

  O prefixo de executáveis pré-compilado para as bibliotecas do &kde;

`--libsuffix`

  O sufixo pré-compilado do local das bibliotecas

`--localprefix`

  O prefixo usado na $`HOME` para salvar os arquivos

`--version`

  O texto pré-compilado da versão das bibliotecas do &kde;

`--types`

  Imprime uma lista com todos os tipos de recursos do &kde; disponíveis

`--path tipo`

  Procura no local pelo tipo indicado

`--userpath tipo`

  Os locais do usuário para os tipos: desktop|autostart|trash|document

`--install tipo`

  O prefixo onde instalar os arquivos de recursos

## Exemplos

Imprimir a pasta de instalação de topo do &kde;:

&percnt;``kde4-config --prefix``

Imprimir uma lista com todos os tipos de recursos:

&percnt;``kde4-config --types``

Imprimir o local de instalação dos papéis de parede:

&percnt;``kde4-config --path wallpaper``

## Veja Também

kdeoptions(7)

## Problemas

Nenhum conhecido.